Skip to main content
GET
/
v1
/
quotes
/
:quote-id
curl --location --request GET 'https://stablecoin-api.sandbox.getmeru.com/v1/quotes/efaaf971-6d8b-4f36-be36-187c9f68fc06' \
--header 'Content-Type: application/json' \
--header 'api-key: <api-key>'
{
  "id": "efaaf971-6d8b-4f36-be36-187c9f68fc06",
  "quote": 3737.7592,
  "fixedCost": 4000,
  "senderAmount": 1000,
  "receiverAmount": 3733879.2,
  "minAmount": 1,
  "validUntil": "2024-12-31T23:59:59Z",
  "isValid": true
}

Params

quote-id
string
required
The unique identifier of the quote to retrieve

Response

id
string
Unique identifier for this quote
quote
number
The exchange rate for the conversion
fixedCost
number
Fixed cost in the source currency for the transfer
senderAmount
number
The amount the sender will pay in the source currency
receiverAmount
number
The amount the receiver will receive in the destination currency
minAmount
number
Minimum amount required for this conversion
validUntil
string
The timestamp until which this quote is valid (ISO 8601 format)
isValid
boolean
Indicates whether the quote is still valid (not expired)
curl --location --request GET 'https://stablecoin-api.sandbox.getmeru.com/v1/quotes/efaaf971-6d8b-4f36-be36-187c9f68fc06' \
--header 'Content-Type: application/json' \
--header 'api-key: <api-key>'
{
  "id": "efaaf971-6d8b-4f36-be36-187c9f68fc06",
  "quote": 3737.7592,
  "fixedCost": 4000,
  "senderAmount": 1000,
  "receiverAmount": 3733879.2,
  "minAmount": 1,
  "validUntil": "2024-12-31T23:59:59Z",
  "isValid": true
}

Error Responses

{
  "success": false,
  "error": "Unauthorized. Please check your authentication credentials."
}